List Webhook

GET
/api/v1/webhooks

List webhook subscriptions for a tenant

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Query Parameters

pageSize?integer

Default 20, max 100

Range1 <= value <= 100
Default20
pageToken?string

Pass next_page_token from a prior response

Response Body

Default Response

application/json
  1. response
subscriptions*array<>
page*
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/webhooks'
Example Response200
{  "subscriptions": [    {      "subscriptionId": "d079718b-ff63-45dd-947b-4950c023750f",      "name": "string",      "url": "http://example.com",      "eventTypes": [        "customer.created"      ],      "active": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "metadata": {        "property1": "string",        "property2": "string"      }    }  ],  "page": {    "nextPageToken": "string",    "total": -9007199254740991  }}